Skip to main content

2026-09-17 Blueprint Manifest API

  • The blueprint patch endpoints were removed: GET and POST /v2/blueprint-manifest/blueprints/{blueprint_id}/patches, GET /v2/blueprint-manifest/blueprints/{blueprint_id}/patches/{patch_id}, POST /v2/blueprint-manifest/blueprints/{blueprint_id}/patches:detect, POST /v2/blueprint-manifest/blueprints/{blueprint_id}/patches/{patch_id}:apply, and POST /v2/blueprint-manifest/blueprints/{blueprint_id}/patches/{patch_id}/orgs/{org_id}:retry (breaking)
  • The v2 blueprint install, export, and publish endpoints were removed: POST /v2/blueprint-manifest/blueprint:install, POST /v2/blueprint-manifest/blueprints/{blueprint_id}:export, and POST /v2/blueprint-manifest/blueprints:publish (breaking)
  • POST /v3/blueprint-manifest/blueprints/{blueprint_id}:publish now accepts optional name, slug, and version fields for the blueprint being published